﻿using System;
using System.Threading;
using Telerik.Windows.Documents.FormatProviders.Pdf;
using Telerik.Windows.Documents.Model;

namespace RadRichTextBoxServerSide
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        private void CreateRadDocument()
        {
            RadDocument document = new RadDocument();
            document.InsertInline(new Span("Hello world. Document generation date/time: "));
            document.InsertField(new DateField());
            document.ChangeAllFieldsDisplayMode(FieldDisplayMode.Result);
            document.UpdateAllFields();

            PdfFormatProvider provider = new PdfFormatProvider();

            Response.ContentType = "application/pdf";
            Response.BinaryWrite(provider.Export(document));
        }

        protected void Button_Click(object sender, EventArgs e)
        {
            Thread thread = new Thread(CreateRadDocument);
            thread.SetApartmentState(ApartmentState.STA);
            thread.Start();
            thread.Join();
        }
    }
}
